0

Today I suddenly started getting the above error whenever I try to save a file in emacs 24.5 on Windows 10.

Here is my full list of messages:

Loading c:/Users/Psalm3_3/GDrive/Tools/Emacs-24.5/site-lisp/flymake.el (source)...done
Loading c:/Users/Psalm3_3/GDrive/Tools/Emacs-24.5/site-lisp/csharp-mode.el (source)...
Loading c:/Users/Psalm3_3/GDrive/Tools/Emacs-24.5/site-lisp/csharp-mode.el
../site-lisp/csharp-mode.el: `flet' is an obsolete macro (as of 24.3); use either `cl-flet' or `cl-letf'. [2 times]
../site-lisp/csharp-mode.el: (lambda (item) ...) quoted with ' rather than with #'
Done loading c:/Users/Psalm3_3/GDrive/Tools/Emacs-24.5/site-lisp/csharp-mode.el
Loading c:/Users/Psalm3_3/GDrive/Tools/Emacs-24.5/site-lisp/csharp-mode.el (source)...done
Loading c:/Users/Psalm3_3/GDrive/Tools/Emacs-24.5/site-lisp/desktop.el (source)...
Eager macro-expansion failure: (error "(alist-get (quote display) filtered) is not a valid place expression")
Loading c:/Users/Psalm3_3/GDrive/Tools/Emacs-24.5/site-lisp/desktop.el (source)...done
Loading c:/Users/Psalm3_3/GDrive/Tools/Emacs-24.5/site-lisp/session.el (source)...done
Loading c:/Users/Psalm3_3/GDrive/Tools/Emacs-24.5/site-lisp/xah-math-input.el (source)...done
Loading c:/Users/Psalm3_3/GDrive/Tools/Emacs-24.5/site-lisp/unicode-fonts.el (source)...done
Loading c:/Users/Psalm3_3/GDrive/Tools/Emacs-24.5/site-lisp/php-mode.el (source)...done
zlib library not found
notes.txt has auto save data; consider M-x recover-this-file
Desktop: File "c:/c" no longer exists.
Can't guess python-indent-offset, using defaults: 4 [39 times]
Wrote c:/Users/Psalm3_3/.emacs.d/.emacs.desktop.lock
Desktop: 1 frame, 55 buffers restored, 1 failed to restore.
For information about GNU Emacs and the GNU system, type C-h C-a.
Saving file c:/Users/Psalm3_3/GDrive/Resources/Courses/StanMachLrn/notes.txt...
find-coding-systems-region: Loading charset map: no such file or directory, KOI8-T

Why would emacs suddenly want to use Cyrillic text? Does anyone have any suggestions? TIA.

UPDATE:

Started running from an older emacs setup that didn't have AUCTEX installed, which doesn't give me the error, so it appears to be a problem with this: https://www.gnu.org/software/auctex/

  • 1
    With your update, this might not be necessary, but just in case: does this issue still occur when you start Emacs with emacs -Q? If not, please try to bisect your init file. – Scott Weldon Jun 29 '16 at 20:47
  • OK, thanks for the idea. It is weird, because emacs was working great for me the last few days. Then this error just popped up. – user8128167 Jun 29 '16 at 21:04
0

Somehow I had missed these files when moving emacs to a new directory:

CNS-3.map
CP1252.map 
CP932-2BYTE.map 
EBCDICUK.map 
IBM1004.map 
IBM290.map 
IBM420.map 
IBM861.map 
IBM874.map 
KOI8-T.map 
MIK.map 
TIS-620.map 
calccard.pdf 
fr-refcard.pdf 
byte-opt.el 
cconv.el 
cl-macs.el 
cl-seq.el cl.el 
eieio-core.el 
eieio-opt.el 
ert-x.el 
gv.el 
package.el 
timer.el 
erc-match.el 
Punct-b5.el 
TONEPY.el 
tsang-b5.el 
ob-haskell.el 
ob-io.el 
org-bibtex.el 
ox-man.el 
url-nfs.el

Thankfully, this means that I can now use auctex again.

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.